##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################
"""
Events module.

$Id: __init__.py,v 1.1 2003/03/12 10:57:56 smigniot Exp $
"""

__version__ = "$Revision: 1.1 $"[11:-2]

import EventService
from EventRegistry import eventRegistry

def initialize(context):
    context.registerClass(
        EventService.EventService,
        permission='Add event service',
        constructors=(EventService.manage_addEventServiceForm,
                      EventService.manage_addEventService),
        icon = 'www/boxing_glove.gif'
        )
