#
# (C) Copyright 2003 Nuxeo SARL <http://www.nuxeo.com/>
# This product is governed by a license. See LICENSE.txt file.
#

# Python
import sys

# This product
import PortalSubscriptionTool

# CMF
from Products.CMFCore import utils

this_module = sys.modules[__name__]
tools = (PortalSubscriptionTool.PortalSubscriptionTool,)
z_tool_bases = utils.initializeBasesPhase1(tools, this_module)

def initialize(registrar):
    #
    # Register defined classes
    #
    utils.ToolInit(
        'Portal Subscription Tool',
        tools=tools,
        product_name='NuxCPSSubscription',
        icon='tool.gif'
    ).initialize(registrar)

