##parameters=action, comment='', REQUEST=None, PARENTS=None, **kw

if REQUEST is not None:
    kw.update(REQUEST.form)

mcat = context.portal_messages
here = context.this()
portal_url = context.portal_url
portal = portal_url.getPortalObject()
hier = context.portal_hierarchies.main
member = context.portal_membership.getAuthenticatedMember()
try:
    from_address = member.getProperty('email')
except:
    from_address = ''

info = here.publication_change_get(action=action)
transitions = info['transitions']


psm=mcat('_cpsdocuments_Modification_done_')

for transition in transitions:
    levelkeys = []
    for key in info['pubinfo'][transition]:
        name = '%s_%s' % (transition, key)
        if kw.has_key(name):
            levelkeys.append(key)
    if levelkeys:
        here.portal_workflow.doActionFor(
            here,
            transition,
            keys=levelkeys,
            comment=comment)

        # Upon some actions, send some mails to the reviewers
        # of the hierarchy
        emails = []
        if transition in ('submit',):
            for levelkey in levelkeys:
                hierlevel = hier.getLevelByKey(levelkey)
                if hierlevel is None:
                    continue # XXX log something
                try:
                    mailing = getattr(hierlevel, 'mailing_submit', None)
                except:
                    # XXX zope security blocks access
                    mailing = None
                if mailing is None:
                    continue
                body=mcat("_document_%(title)s_was_submitted_in_hierarchy_%(hiertitle)s_") + "\n<URL:%(url)s>"
                body = body % {
                    'title': mcat(here.title),
                    'hiertitle': mcat(hierlevel.title),
                    'url': here.absolute_url()+'/view',
                    }
                if not from_address:
                    psm = psm+" ("+mcat('_cpsdocuments_Your_email_is_unknown_')+")"
                else:
                    try:
                        mailing.send_email(from_address=from_address,
                                           subject=mcat('_cpsdocuments_Submit_'),
                                           body=body,
                                           context=hierlevel)
                    except:
                        psm = psm+" ("+mcat('_cpsdocuments_Problem_while_sending_email_')+")"

if REQUEST is not None:
    try:
        ok = portal.portal_membership.checkPermission('View', here)
    except:
        ok = 0

    if not ok:
        # can't view here anymore
        try:
            parent = PARENTS[1]
            if portal.portal_membership.checkPermission('View', parent):
                # redirect to the container
                redirect_url = '%s/view' % (parent.absolute_url(), )
            else:
                # can't view the container
                # redirect to the portal
                redirect_url = portal_url()+'/'
        except:
            # can't even access the container
            # redirect to the portal
            redirect_url = portal_url()+'/'
    else:
        # can still view here
        try:
            parent = PARENTS[1]
            ob = parent.restrictedTraverse(here.id)
        except:
            # can't access here from the actual container
            # redirect to the real absolute url of here
            try:
                absolute_url = here.absolute_url(munge=0)
            except:
                # Still problems (munge does not work)
                absolute_url = here.absolute_url()
        else:
            absolute_url = here.absolute_url()
        # XXX Can we still get problems here?

        redirect_url = '%s/view' % (absolute_url, )


    REQUEST.RESPONSE.redirect('%s?%s' % (redirect_url,
                                      'portal_status_message=%s' % psm))
