##parameters=entry_id, property, old_property, member_dir, roles_dir

if old_property is None: old_property = []
if property is None: property = []
if 'Member' not in property: property = property + ['Member']

add_roles = [role for role in property if role not in old_property]
remove_roles = [role for role in old_property if role not in property]

roles_entry_prop = roles_dir.entry_prop


for role in add_roles:
    role_entry = roles_dir.getEntry(role)
    new_members = role_entry.get('members', [])
    if entry_id not in new_members:
        new_members.append(entry_id)
        write_entry = {
            'members': new_members
        }
        roles_dir.writeEntry(role, write_entry)


for role in remove_roles:
    role_entry = roles_dir.getEntry(role)
    new_members = role_entry.get('members', [])
    if entry_id in new_members:
        new_members.remove(entry_id)
        write_entry = {
            'members': new_members
        }
        roles_dir.writeEntry(role, write_entry)
