# Copyright (c) 2001, 2002 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2001, 2002 Florent Guillaume <mailto:fg@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: __init__.py,v 1.3 2002/08/02 17:44:34 guillaum Exp $

import sys

from Products.CMFCore import utils
from Products.CMFCore.CMFCorePermissions import AddPortalContent

import PortalContentFolder


bases = (PortalContentFolder.PortalContentFolder,)

this_module = sys.modules[__name__]
z_bases = utils.initializeBasesPhase1(bases, this_module)

def initialize(registrar):
    utils.initializeBasesPhase2(z_bases, registrar)
    utils.ContentInit(
        'PortalContentFolder',
        content_types = bases,
        permission = AddPortalContent,
        extra_constructors = (PortalContentFolder.addPortalContentFolder,),
        fti = PortalContentFolder.factory_type_information,
        ).initialize(registrar)
