##############################################################################
#
# Copyright (c) 2001, 2002 Zope Corporation and Contributors.
# All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
# 
##############################################################################
"""

Revision information:
$Id: IEvent.py,v 1.1 2003/03/12 10:57:56 smigniot Exp $
"""

from Interface import Interface
from EventRegistry import eventRegistry

class IEvent(Interface):
    """The Base interface for Events"""

eventRegistry.registerEvent(IEvent, 'Base Event')

class IFilterableEvent(IEvent):
    """ A filterable Event """

    def getFilterData():
        """
        Return filter data for this event.
        """

eventRegistry.registerEvent(IFilterableEvent, 'Filterable Event')
