##parameters=include_root=1

mcat = context.portal_messages
roottitle = mcat('_str_Portal_')

here = context.this()
utool = context.portal_url
portal = utool.getPortalObject()

request = context.REQUEST

request.other['HERE'] = here

try:
    set = context.REQUEST.other.get('breadcrumb_set')
except:
    set = None
if set is not None:
    for element in set:
        element['title'] = mcat(element['title'])
        element['object'] = None
    if include_root:
        d = {
            'title': roottitle,
            'url': utool() + '/',
            'object': None,
            }
        set = [d]+list(set)
    request.other['breadcrumbs'] = set
    return set


ppath = portal.getPhysicalPath()

# get list of objects participating in breadcrumb
l = []
navigation = 1
for obj in context.REQUEST.PARENTS:
    try:
        # if navigation and obj.id in ['Public', 'Members', 'Groups']:
        #    if obj.id == 'Public':
        #        include_root = 0
        #    navigation=0
        if not obj.getProperty('breadcrumb_skip', 0):
            pp = obj.getPhysicalPath()
            l.insert(0, obj)
            if pp == ppath:
                break
    except: # Unauthorized
        continue
# Hack: when the object is called with the default view
# (method index_html or __call__), it's not in the parents...
try:
    if context.REQUEST.PARENTS[0] is not here:
        l.append(here)
except: # Unauthorized
    l.append(here)

bc = []
first = 1
skipn = 0
for obj in l:
    id = obj.getId()
    if id == 'talkback':
        continue
    title = obj.title_or_id()
    url = obj.absolute_url(relative=1)
    if getattr(obj, 'isPortalContent', 0):
        url = '/'+url+'/view'
    elif url:
        url = '/'+url+'/'
    else:
        url = '/'
    if first: # hack for root...
        first = 0
        if not include_root:
            continue
        title = roottitle
        #continue
    title = mcat(title)
    d = {
        'title': title,
        'url': url,
        'object': obj,
        }
    bc.append(d)

try:
    add = context.REQUEST.other.get('breadcrumb_add')
except:
    add = None
if add is not None:
    bc.extend(add)

request.other['breadcrumbs'] = bc

if len(bc)>5:
    bc = [{'title': '...', 'url':None, 'object': None}] + bc[-5:]

return bc
