##parameters=

portal_url = context.portal_url(relative=1)
if portal_url: portal_url = '/'+portal_url

mtool = context.portal_membership
user = mtool.getAuthenticatedMember()
roles = user.getRoles()
myid = user.getUserName()
try: mygroups = user.getGroups()
except: mygroups = ()
myids = [myid] + ['group:'+id for id in mygroups]

hierlist = context.portal_hierarchies.main.getHierarchyList()
hierlist = [hier for hier in hierlist if hier['depth'] == 1]

main_hierarchies = []
mcat = context.portal_messages
for h in hierlist:
    readers = h['levelreaders']
    if readers and not 'Manager' in roles:
        readers = readers + h['levelreviewers']
        ok = 0
        for id in myids:
            if id in readers:
                ok = 1
                break
        if not ok:
            continue
    rurl = h['rurl']
    url = portal_url + rurl 
    hiertitle = h['title']
    hiertitle = mcat(hiertitle)
    d = {
        'title': hiertitle,
        'url': url
        }
    main_hierarchies.append(d)

return main_hierarchies
