##parameters=REQUEST=None, sort_on='', sort_order=''

# Published documents

here = context.this()

tab = 'multitab_pub'
cols = [
    'main',
    'pub',
    ]
realcols = {
    'main': 'title',
    'pub': 'public_categories_string',
    }

info = {
    'cols': cols,
    'realcols': realcols,
    'tab': tab,
    'sort_on': sort_on,
    'sort_order': sort_order,
    }

info = here.multitab_std_get(info)

alldocinfos = info['docinfos']
docinfos = []
for docinfo in alldocinfos:
    pub = docinfo['public_categories']
    folderish = docinfo['folderish']
    if pub or folderish:
        docinfos.append(docinfo)
info['docinfos'] = docinfos

rendered = here.multitab_std_render(info=info)

return rendered
