##parameters=REQUEST=None, **kw

if REQUEST is not None:
    kw.update(REQUEST.form)

from random import randrange

mcat = context.portal_messages

type_name = kw['type_name']
here = context.this()
if type_name == 'Mailing List':
    id = kw.get('id', '')
else:
    id = ''

if kw.has_key('id'):
    id = kw['id']
elif kw.has_key('default_id_from'):
    id = kw[kw['default_id_from']]
else:
    id = str(int(DateTime()))+str(randrange(1000,10000))
id = context.cpsdocument_checkid(compute_from=id)

here.invokeFactory(type_name, id)
ob = getattr(here, id)
ob.cpsdocument_edit(**kw)

# Workflow Schema association
wfstool = getattr(context, 'portal_workflow_schema', None)
if wfstool is not None:
    ret = wfstool.associateObject(ob, container=here)

psm = mcat('_cpsdocuments_Document_created_')

# Upon creation, send some mails to 'mailing_workgroup'
emails = []
try:
    mailing = getattr(here, 'mailing_workgroup', None)
except:
    # XXX zope security blocks access
    mailing = None
if mailing is None:
    psm = psm+" ("+ mcat('_cpsdocuments_No_mail_sent_')+")"
else:
    body = mcat('_document_%(title)s_was_created_in_%(wgtitle)s_') \
        + "\n<URL:%(url)s>"
    body = body % {
        'title': ob.title,
        'wgtitle': mcat(here.title),
        'url': ob.absolute_url()+'/view',
    }
    member = context.portal_membership.getAuthenticatedMember()
    try:
        from_address = member.getProperty('email')
    except:
        from_address = ''
    if not from_address:
        psm += " (" + mcat('_cpsdocuments_Your_email_is_unknown_') + ")"
    else:
        try:
            mailing.send_email(from_address=from_address,
                               subject=mcat('_cpsdocuments_Creation_'),
                               body=body,
                               context=ob)
        except:
            psm += " (" + mcat('_cpsdocuments_Problem_while_sending_email_') \
                   + ")"

psm = 'portal_status_message=' + psm

if REQUEST is not None:
    REQUEST.RESPONSE.redirect('%s/view?%s' % (ob.absolute_url(), psm))
else:
    return (ob, psm)
