# $Id: forumupdate.py,v 1.2 2003/07/23 08:21:15 fermigier Exp $
# this should be used instead of cpsupdate
# note that cpsupdate is still required

import os
from App.Extensions import getPath
from re import match
from ExtensionClass import Base
from Products.CMFCore.CMFCorePermissions import View, ModifyPortalContent


def forumupdate(self):
    #logf("START: NuxCPSForum UPDATE")
    log = []
    pr = log.append
    def prok(pr=pr):
        pr(" Already correctly installed")


    pr("<html><head><title>Forum UPDATE</title></head><body><pre>")
    pr("Starting NuxCPSForum UPDATE")

    pr("")
    pr("### CPS update")

    pr(self.cpsupdate())

    pr("### End of CPS update")
    pr("")
    pr("Starting specific NuxCPSForum updates")

    portal = self.portal_url.getPortalObject()
    
    # metadata
    pr('  Metadata check')

    # indexes
    pr(" Checking portal_catalog indexes")

    # portal types + workgroup
    pr(" Verifying portal types")

    # cps portal tyes allowed
    # skins

    # importing .po files
    mcat = portal.portal_messages
    pr(" Checking available languages")
    popath = getPath(".", 'Install')
    if popath is None:
        pr(" !!! Unable to find .po dir")
    else:
        pr("  Checking installable languages")
        langs = []
        avail_langs = mcat.get_languages()
        pr("    Available languages: %s" % str(avail_langs))
        for file in os.listdir(popath):
            if file.endswith('.po'):
                m = match('^.*([a-z][a-z])\.po$', file)
                if m is None:
                    pr( '    Skipping bad file %s' % file)
                    continue
                lang = m.group(1)
                if lang in avail_langs:
                    lang_po_path = os.path.join(popath, file)
                    lang_file = open(lang_po_path)
                    pr("    Importing %s into '%s' locale" % (file, lang))
                    mcat.manage_import(lang, lang_file)
                else:
                    pr( '    Skipping not installed locale for file %s' % file)

    pr("End of specific NuxCPSForum updates")

    pr("</pre></body></html>")
    #logf("END: NuxCPSForum UPDATE")
    return '\n'.join(log)
