##parameters=

here = context.this()

common_fields = context.get_boxes_common_fields(here=here)

description = "_This type of box if used to display a list of Workgroups_"

portal_path_length = len(context.portal_url.getPortalPath())
wgroups = context.portal_catalog.searchResults(meta_type='Workgroup')
paths_opts = []
for brain in wgroups:
    title = brain.Title or brain.id
    path = brain.getPath() # physical
    rurl = path[portal_path_length:] # /relative to portal
    d = {
        'id': rurl,
        'title': title,
        }
    paths_opts.append(d)

def cmpbyid(a,b):
    return cmp(a['id'], b['id'])

paths_opts.sort(cmpbyid)


fields = common_fields + [
    {
    'id': 'paths',
    'title': '_prop_box_wg_paths_',
    'type': 'multiple',
    'value': here.getProperty('paths', []),
    'options': paths_opts,
    },
    {
    'id': 'depth',
    'title': '_prop_box_wg_depth_',
    'type': 'text',
    'value': here.getProperty('depth', 0),
    },
    ]

return here.basebox_edit_form(fields=fields, description=description)
